Name:       perl-MooseX-Role-WithOverloading 
Version:    0.16
Release:    3%{?dist}
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Roles which support overloading 
Source0:    http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/MooseX-Role-WithOverloading-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-Role-WithOverloading

Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires: perl
BuildRequires: perl(aliased)
BuildRequires: perl(CPAN::Meta) >= 2.120900
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(lib)
BuildRequires: perl(Moose) >= 0.94
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role) >= 1.15
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(namespace::autoclean) >= 0.16
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(Test::More) >= 0.96
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(warnings)
BuildRequires: perl(XSLoader)

%{?perl_default_filter}

%description
MooseX::Role::WithOverloading allows you to write a Moose::Role
that defines overloaded operators and allows those operator
overloadings to be composed into the classes/roles/instances it's
compiled to, while plain roles would lose the overloading.

%prep
%setup -q -n MooseX-Role-WithOverloading-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorarch}/auto/MooseX/
%{perl_vendorarch}/MooseX/
%{_mandir}/man3/MooseX::Role::WithOverloading.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::Composite.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::Composite::ToClass.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::Composite::ToInstance.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::Composite::ToRole.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::FixOverloadedRefs.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::ToClass.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::ToInstance.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Application::ToRole.3*
%{_mandir}/man3/MooseX::Role::WithOverloading::Meta::Role::Composite.3*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.16-2
- Perl 5.22 rebuild

* Thu Nov 20 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.16-1
- Update to 0.16

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15
  - Forward-compat mode added for Moose 2.1300, which cores all of this
    distribution's functionality

* Tue Aug  5 2014 Paul Howarth <paul@city-fan.org> - 0.14-2
- Remove installed README.pod and corresponding manpage, potentially
  conflicting (#1126416)
  https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker/issues/119

* Fri Aug  1 2014 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Fixed a bug with Perl 5.18+ that caused this module to simply blow up with
    an error like "Use of uninitialized value in subroutine entry at
    .../Class/MOP/Package.pm ..."
  - Line numbers in shipped code are now almost the same (within 3) as the
    repository source, for easier debugging
  - Repository migrated to the github moose organization
  - Unneeded init_meta method removed
- Use %%license
- Make %%files list more explicit

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Paul Howarth <paul@city-fan.org> - 0.13-3
- We have Test::CheckDeps now

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 0.13-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> 0.13-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.09-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.09-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 08 2011 Iain Arnell <iarnell@gmail.com> 0.09-1
- update to latest upstream version
- update BR perl(Moose::Role) >= 1.15

* Wed Oct 06 2010 Iain Arnell <iarnell@gmail.com> 0.08-1
- update to latest upstream version

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.05-2
- Mass rebuild with perl-5.12.0

* Sat Feb 06 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- submission

* Sat Feb 06 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.05-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

